Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Lynn Winebarger <[email-masked]>
Date: Wed, 11 Jun 2025 21:03:17 -0400

On Wed, Jun 11, 2025 at 12:37 PM Daniel Colascione <[email-masked]> wrote:
>  The contract of
> read_char (the C function, not to be confused with read-char the Lisp
> function, which is confusingly totally different) [...]

You are so right, but don't forget the bypassing of the function cell
for Qread_char in Fread to hardwire a call to Qread_minibuffer
instead.

Lynn